Bug 1253456 - [abrt] evolution: g_type_check_instance(): evolution-alarm-notify killed by SIGSEGV
[abrt] evolution: g_type_check_instance(): evolution-alarm-notify killed by S...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5ace33e0c7c7d099726dba80375...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 13:43 EDT by andrew
Modified: 2015-12-02 13:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:55:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.45 KB, text/plain)
2015-08-13 13:43 EDT, andrew
no flags Details
File: cgroup (191 bytes, text/plain)
2015-08-13 13:43 EDT, andrew
no flags Details
File: core_backtrace (22.98 KB, text/plain)
2015-08-13 13:43 EDT, andrew
no flags Details
File: dso_list (17.07 KB, text/plain)
2015-08-13 13:43 EDT, andrew
no flags Details
File: environ (1.73 KB, text/plain)
2015-08-13 13:43 EDT, andrew
no flags Details
File: exploitable (82 bytes, text/plain)
2015-08-13 13:43 EDT, andrew
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-13 13:43 EDT, andrew
no flags Details
File: maps (84.97 KB, text/plain)
2015-08-13 13:43 EDT, andrew
no flags Details
File: open_fds (948 bytes, text/plain)
2015-08-13 13:43 EDT, andrew
no flags Details
File: proc_pid_status (969 bytes, text/plain)
2015-08-13 13:43 EDT, andrew
no flags Details

  None (edit)
Description andrew 2015-08-13 13:43:29 EDT
Version-Release number of selected component:
evolution-3.12.11-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/evolution/3.12/evolution-alarm-notify
crash_function: g_type_check_instance
executable:     /usr/libexec/evolution/3.12/evolution-alarm-notify
kernel:         4.0.8-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance at gtype.c:4087
 #1 g_signal_handlers_disconnect_matched at gsignal.c:2868
 #2 notify_dialog_cb at alarm-queue.c:1354
 #3 snooze_pressed_cb at alarm-notify-dialog.c:240
 #4 _g_closure_invoke_va at gclosure.c:831
 #7 gtk_button_do_release at gtkbutton.c:1890
 #8 gtk_real_button_released at gtkbutton.c:2008
 #9 _g_closure_invoke_va at gclosure.c:831
 #12 multipress_released_cb at gtkbutton.c:611
 #13 ffi_call_unix64 at ../src/x86/unix64.S:76
Comment 1 andrew 2015-08-13 13:43:32 EDT
Created attachment 1062739 [details]
File: backtrace
Comment 2 andrew 2015-08-13 13:43:32 EDT
Created attachment 1062740 [details]
File: cgroup
Comment 3 andrew 2015-08-13 13:43:33 EDT
Created attachment 1062741 [details]
File: core_backtrace
Comment 4 andrew 2015-08-13 13:43:34 EDT
Created attachment 1062742 [details]
File: dso_list
Comment 5 andrew 2015-08-13 13:43:35 EDT
Created attachment 1062743 [details]
File: environ
Comment 6 andrew 2015-08-13 13:43:36 EDT
Created attachment 1062744 [details]
File: exploitable
Comment 7 andrew 2015-08-13 13:43:37 EDT
Created attachment 1062745 [details]
File: limits
Comment 8 andrew 2015-08-13 13:43:38 EDT
Created attachment 1062746 [details]
File: maps
Comment 9 andrew 2015-08-13 13:43:39 EDT
Created attachment 1062747 [details]
File: open_fds
Comment 10 andrew 2015-08-13 13:43:40 EDT
Created attachment 1062748 [details]
File: proc_pid_status
Comment 11 Milan Crha 2015-08-14 04:04:07 EDT
Thanks for a bug report. This looks like an upstream bug report [1], but you already have the fix for it in the 3.12.11.

I also tried to reproduce the crash, the backtrace suggests that you were snoozing a reminder, but no luck, evolution-alarm-notify didn't crash here. I was testing with the current development version, to be 3.17.90 soon.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=709162
Comment 12 Fedora End Of Life 2015-11-04 05:51:49 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-12-02 09:55:52 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.